Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.model
Class mxGraphModel.mxChildChange

    java.lang.Object
      com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
          com.mxgraph.model.mxGraphModel.mxChildChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Enclosing class:
  mxGraphModel

    public static class mxGraphModel.mxChildChange

extends mxIGraphModel.mxAtomicGraphModelChange

Field Summary
`protected Object` | `child`
`protected int` | `index`
`protected Object` | `parent`
`protected Object` | `previous`
`protected int` | `previousIndex`

Fields inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`model`

Constructor Summary
`mxGraphModel.mxChildChange(mxGraphModel model, Object parent, Object child)`
`mxGraphModel.mxChildChange(mxGraphModel model, Object parent, Object child, int index)`

Method Summary
`protected void` | `connect(Object cell, boolean isConnect)`
`void` | `execute()` Changes the root of the model.
`Object` | `getChild()`
`protected int` | `getChildIndex(Object parent, Object child)` Returns the index of the given child inside the given parent.
`int` | `getIndex()`
`Object` | `getParent()`
`Object` | `getPrevious()`
`int` | `getPreviousIndex()`
`protected Object` | `getTerminal(Object edge, boolean source)` Gets the source or target terminal field for the given edge even if the edge is not stored as an incoming or outgoing edge in the respective terminal.
`protected void` | `setTerminal(Object edge, Object terminal, boolean source)` Sets the source or target terminal field for the given edge without inserting an incoming or outgoing edge in the respective terminal.

Methods inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`getModel, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected Object parent

### previous

    protected Object previous

### child

    protected Object child

### index

    protected int index

### previousIndex

    protected int previousIndex

Constructor Detail

### mxGraphModel.mxChildChange

    public mxGraphModel.mxChildChange(mxGraphModel model,
                                      Object parent,
                                      Object child)

### mxGraphModel.mxChildChange

    public mxGraphModel.mxChildChange(mxGraphModel model,
                                      Object parent,
                                      Object child,
                                      int index)

Method Detail

### getParent

    public Object getParent()

  Returns:
    the parent

### getPrevious

    public Object getPrevious()

  Returns:
    the previous

### getChild

    public Object getChild()

  Returns:
    the child

### getIndex

    public int getIndex()

  Returns:
    the index

### getPreviousIndex

    public int getPreviousIndex()

  Returns:
    the previousIndex

### getTerminal

    protected Object getTerminal(Object edge,
                                 boolean source)

  Gets the source or target terminal field for the given edge even if the edge is not stored as an incoming or outgoing edge in the respective terminal.

### setTerminal

    protected void setTerminal(Object edge,
                               Object terminal,
                               boolean source)

  Sets the source or target terminal field for the given edge without inserting an incoming or outgoing edge in the respective terminal.

### connect

    protected void connect(Object cell,
                           boolean isConnect)

### getChildIndex

    protected int getChildIndex(Object parent,
                                Object child)

  Returns the index of the given child inside the given parent.

### execute

    public void execute()

  Changes the root of the model.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`
  Specified by:
    `execute` in class `mxIGraphModel.mxAtomicGraphModelChange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.